#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:               ghc-api-compat
version:            8.6
visibility:         public
id:                 ghc-api-compat-8.6-3TY3o2v9hFDBa7VjHV0kS9
key:                ghc-api-compat-8.6-3TY3o2v9hFDBa7VjHV0kS9
license:            BSD-3-Clause
copyright:          Sylvain Henry 2020
maintainer:         sylvain@haskus.fr
author:             Sylvain Henry
synopsis:           GHC-API compatibility helpers
description:
    GHC codebase is a moving target. This package provides
    compatibility for codes relying on an older GHC-API version.

category:           Development
abi:                b5b1ee83e144b210df86b7b6143425d4
exposed:            True
exposed-modules:
    CgUtils from ghc-8.10.5:GHC.StgToCmm.CgUtils,
    Check from ghc-8.10.5:GHC.HsToCore.PmCheck,
    CodeGen.Platform from ghc-8.10.5:GHC.Platform.Regs,
    CodeGen.Platform.ARM from ghc-8.10.5:GHC.Platform.ARM,
    CodeGen.Platform.ARM64 from ghc-8.10.5:GHC.Platform.AArch64,
    CodeGen.Platform.NoRegs from ghc-8.10.5:GHC.Platform.NoRegs,
    CodeGen.Platform.PPC from ghc-8.10.5:GHC.Platform.PPC,
    CodeGen.Platform.SPARC from ghc-8.10.5:GHC.Platform.SPARC,
    CodeGen.Platform.X86 from ghc-8.10.5:GHC.Platform.X86,
    CodeGen.Platform.X86_64 from ghc-8.10.5:GHC.Platform.X86_64,
    Convert from ghc-8.10.5:GHC.ThToHs,
    HsBinds from ghc-8.10.5:GHC.Hs.Binds,
    HsDecls from ghc-8.10.5:GHC.Hs.Decls,
    HsDoc from ghc-8.10.5:GHC.Hs.Doc,
    HsDumpAst from ghc-8.10.5:GHC.Hs.Dump,
    HsExpr from ghc-8.10.5:GHC.Hs.Expr,
    HsExtension from ghc-8.10.5:GHC.Hs.Extension,
    HsImpExp from ghc-8.10.5:GHC.Hs.ImpExp,
    HsInstances from ghc-8.10.5:GHC.Hs.Instances,
    HsLit from ghc-8.10.5:GHC.Hs.Lit, HsPat from ghc-8.10.5:GHC.Hs.Pat,
    HsSyn from ghc-8.10.5:GHC.Hs, HsTypes from ghc-8.10.5:GHC.Hs.Types,
    HsUtils from ghc-8.10.5:GHC.Hs.Utils,
    PlaceHolder from ghc-8.10.5:GHC.Hs.PlaceHolder,
    PmOracle from ghc-8.10.5:GHC.HsToCore.PmCheck.Oracle,
    PmPpr from ghc-8.10.5:GHC.HsToCore.PmCheck.Ppr,
    PmTypes from ghc-8.10.5:GHC.HsToCore.PmCheck.Types,
    StgCmm from ghc-8.10.5:GHC.StgToCmm,
    StgCmmArgRep from ghc-8.10.5:GHC.StgToCmm.ArgRep,
    StgCmmBind from ghc-8.10.5:GHC.StgToCmm.Bind,
    StgCmmClosure from ghc-8.10.5:GHC.StgToCmm.Closure,
    StgCmmCon from ghc-8.10.5:GHC.StgToCmm.DataCon,
    StgCmmEnv from ghc-8.10.5:GHC.StgToCmm.Env,
    StgCmmExpr from ghc-8.10.5:GHC.StgToCmm.Expr,
    StgCmmExtCode from ghc-8.10.5:GHC.StgToCmm.ExtCode,
    StgCmmForeign from ghc-8.10.5:GHC.StgToCmm.Foreign,
    StgCmmHeap from ghc-8.10.5:GHC.StgToCmm.Heap,
    StgCmmHpc from ghc-8.10.5:GHC.StgToCmm.Hpc,
    StgCmmLayout from ghc-8.10.5:GHC.StgToCmm.Layout,
    StgCmmMonad from ghc-8.10.5:GHC.StgToCmm.Monad,
    StgCmmPrim from ghc-8.10.5:GHC.StgToCmm.Prim,
    StgCmmProf from ghc-8.10.5:GHC.StgToCmm.Prof,
    StgCmmTicky from ghc-8.10.5:GHC.StgToCmm.Ticky,
    StgCmmUtils from ghc-8.10.5:GHC.StgToCmm.Utils

data-dir:           /usr/share/i386-linux-ghc-8.10.5/ghc-api-compat-8.6
depends:            ghc-8.10.5
haddock-interfaces:
    /usr/share/doc/haskell-ghc-api-compat/html/ghc-api-compat.haddock

haddock-html:       /usr/share/doc/haskell-ghc-api-compat/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

